require "scenes"
function love.load()
end

function love.update(dt)
    if #scenes == 0 then
        love.event.quit()
    end
    if scenes[#scenes].update then
        scene_ended = scenes[#scenes].update(key)
    end
end

function love.keypressed(key)
    if scenes[#scenes].keypressed then
        scenes[#scenes].keypressed(key)
    end
end

function love.keyreleased(key)
    if scenes[#scenes].keyreleased then
        scenes[#scenes].keyreleased(key)
    end
end

function love.draw()
    if scenes[#scenes].draw then
        scenes[#scenes].draw()
    end
end
